summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgunfmt-csharp-1
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2013-05-29 18:41:25 +0900
committerDaiki Ueno <ueno@gnu.org>2013-05-30 13:07:31 +0900
commit3533f6cc3521ead6ed20740e5256c4837786a35c (patch)
treee88a169aee8938695ec7eb7762fe852db300b2e4 /gettext-tools/tests/msgunfmt-csharp-1
parent2060aff4d9799b6a42774c76706ac5ab6e7cba96 (diff)
downloadexternal_gettext-3533f6cc3521ead6ed20740e5256c4837786a35c.zip
external_gettext-3533f6cc3521ead6ed20740e5256c4837786a35c.tar.gz
external_gettext-3533f6cc3521ead6ed20740e5256c4837786a35c.tar.bz2
Use distinct temporary file names in tests.
Diffstat (limited to 'gettext-tools/tests/msgunfmt-csharp-1')
-rwxr-xr-xgettext-tools/tests/msgunfmt-csharp-120
1 files changed, 9 insertions, 11 deletions
diff --git a/gettext-tools/tests/msgunfmt-csharp-1 b/gettext-tools/tests/msgunfmt-csharp-1
index 8f94838..5061700 100755
--- a/gettext-tools/tests/msgunfmt-csharp-1
+++ b/gettext-tools/tests/msgunfmt-csharp-1
@@ -19,8 +19,10 @@ test "${TESTCSHARP}" = yes || {
exit 77
}
-tmpfiles="$tmpfiles fr.po"
-cat <<\EOF > fr.po
+tmpfiles="$tmpfiles mu-cs-1"
+test -d mu-cs-1 || mkdir mu-cs-1
+
+cat <<\EOF > mu-cs-1/fr.po
msgid ""
msgstr ""
"Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -51,23 +53,19 @@ msgid "Close"
msgstr "Fermer"
EOF
-tmpfiles="$tmpfiles fr/prog.resources.dll"
: ${MSGFMT=msgfmt}
GETTEXTCSHARPLIBDIR=../../gettext-runtime/intl-csharp \
-${MSGFMT} --csharp -d . -r prog -l fr fr.po || exit 1
+${MSGFMT} --csharp -d mu-cs-1 -r prog -l fr mu-cs-1/fr.po || exit 1
-tmpfiles="$tmpfiles prog.out"
: ${MSGUNFMT=msgunfmt}
GETTEXTCSHARPEXEDIR=../src \
GETTEXTCSHARPLIBDIR=../../gettext-runtime/intl-csharp \
-${MSGUNFMT} --csharp -d . -r prog -l fr -o prog.out || exit 1
+${MSGUNFMT} --csharp -d mu-cs-1 -r prog -l fr -o mu-cs-1/prog.out || exit 1
-tmpfiles="$tmpfiles prog.sort"
: ${MSGCAT=msgcat}
-${MSGCAT} -s -o prog.sort prog.out || exit 1
+${MSGCAT} -s -o mu-cs-1/prog.sort mu-cs-1/prog.out || exit 1
-tmpfiles="$tmpfiles prog.ok"
-cat <<\EOF > prog.ok
+cat <<\EOF > mu-cs-1/prog.ok
msgid ""
msgstr ""
"Content-Type: text/plain; charset=UTF-8\n"
@@ -92,7 +90,7 @@ msgid "{0} is replaced by {1}."
msgstr "{1} remplace {0}."
EOF
: ${DIFF=diff}
-${DIFF} prog.ok prog.sort || exit 1
+${DIFF} mu-cs-1/prog.ok mu-cs-1/prog.sort || exit 1
rm -fr $tmpfiles